%if 0%{?fedora}
%global         with_python3    1
%else %if 0%{?centos}
%global         with_python3    0
%endif #fedora

# disable debug package cause archful
%global         debug_package   %{nil}

# I screwed up by building 1.7.0rc2
%global _version      1.7.0.0
%global _real_version 1.7.0

%global owner docker
%global project docker-py
%global commit 60d814d742067f3e349119809935f8c0cb6c3b3b
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Name:           python-docker-py
Version:        %{_version}
Release:        1%{?dist}
Summary:        An API client for docker written in Python
License:        ASL 2.0
URL:            https://github.com/%{owner}/%{project}/
Source0:        https://github.com/%{owner}/%{project}/archive/%{commit}/%{project}-%{commit}.tar.gz
Patch1:         unpin-test-requirements.patch
Patch2:         remote-inspection.patch

BuildArch:      noarch
BuildRequires:  python2-devel
BuildRequires:  python-setuptools
%if 0%{?fedora}
BuildRequires:  python-mock >= 1.0.1
BuildRequires:  python-flake8 >= 2.4.1
BuildRequires:  python-pytest-cov >= 2.1.0
%endif
BuildRequires:  pytest >= 2.7.2
BuildRequires:  python-coverage >= 3.7.1
BuildRequires:  python-six >= 1.4.0
BuildRequires:  python-websocket-client >= 0.32.0

%if 0%{?fedora} >= 22
Requires:       python-requests >= 2.5.2
BuildRequires:  python-requests >= 2.5.2
%else
Requires:       python-requests
BuildRequires:  python-requests
%endif

Requires:       python-websocket-client >= 0.32.0
Requires:       python-six >= 1.4.0

%description
%{summary}

%if 0%{?with_python3}
%package -n python3-docker-py
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-mock >= 1.0.1
BuildRequires:  python3-pytest >= 2.7.2
BuildRequires:  python3-pytest-cov >= 2.1.0
BuildRequires:  python3-coverage >= 3.7.1
BuildRequires:  python3-flake8 >= 2.4.1
BuildRequires:  python3-six >= 1.3.0
BuildRequires:  python3-websocket-client >= 0.32.0
BuildRequires:  python3-requests >= 2.5.2
Requires:       python3-websocket-client >= 0.32.0
Requires:       python3-requests >= 2.5.2
Requires:       python3-six >= 1.3.0
Summary:        An API client for docker written in Python 3

%description -n python3-docker-py
A Python 3 interface to Docker
%endif # with_python3

%prep
%setup -qn %{project}-%{commit}
%patch1 -p 1
%patch2 -p 1

%if 0%{?with_python3}
rm -rf %{py3dir}
cp -a . %{py3dir}
pushd %{py3dir}
find %{py3dir} -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python3}|'
popd
%endif # with_python3

%build
%{__python} setup.py build

%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py build
popd
%endif # with_python3

%install
%{__python} setup.py install --root %{buildroot}

%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py install --root %{buildroot}
popd
%endif # with_python3

%if 0%{?fedora}
%check
PYTHONPATH="${PWD}" py.test-%{python2_version} tests/unit/
%endif

%if 0%{?with_python3}
pushd %{py3dir}
PYTHONPATH="${PWD}" py.test-%{python3_version} tests/unit/
popd
%endif # with_python3


%files
%doc LICENSE README.md
%dir %{python_sitelib}/docker
%dir %{python_sitelib}/docker_py-%{_real_version}-py2*.egg-info
%{python_sitelib}/docker/*
%{python_sitelib}/docker_py-%{_real_version}-py2*.egg-info/*

%if 0%{?with_python3}
%files -n python3-docker-py
%doc LICENSE README.md
%dir %{python3_sitelib}/docker
%dir %{python3_sitelib}/docker_py-%{_real_version}-py3*.egg-info
%{python3_sitelib}/docker/*
%{python3_sitelib}/docker_py-%{_real_version}-py3*.egg-info/*
%endif # with_python3

%changelog
* Mon Feb 08 2016 Tomas Tomecek <ttomecek@redhat.com> - 1.7.0.0-1
- new upstream release: 1.7.0

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.7.0rc2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Mon Jan 25 2016 Tomas Tomecek <ttomecek@redhat.com> - 1.7.0rc2-1
- new upstream release: 1.7.0rc2

* Fri Jan 08 2016 Tomas Tomecek <ttomecek@redhat.com> - 1.6.0-2
- new downstream patch: remote inspection

* Wed Dec 02 2015 Tomas Tomecek <ttomecek@redhat.com> - 1.6.0-1
- new upstream release: 1.6.0

* Tue Nov 10 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.0-2
- Rebuilt for https://fedoraproject.org/wiki/Changes/python3.5

* Tue Oct 13 2015 Tomas Tomecek <ttomecek@redhat.com> - 1.5.0-1
- new upstream release: 1.5.0

* Fri Sep 11 2015 Tomas Tomecek <ttomecek@redhat.com> - 1.4.0-1
- new upstream release: 1.4.0

* Tue Jul 28 2015 Tomas Tomecek <ttomecek@redhat.com> - 1.3.1-1
- new upstream release: 1.3.1

* Fri Jul 10 2015 Tomas Tomecek <ttomecek@redhat.com> - 1.3.0-1
- new upstream release: 1.3.0

* Fri Jun 19 2015 Tomas Tomecek <ttomecek@redhat.com> - 1.2.3-1
- new upstream release: 1.2.3

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Wed May 06 2015 Tomas Tomecek <ttomecek@redhat.com> - 1.2.2-1
- new upstream release: 1.2.2

* Thu Apr 30 2015 Tomas Tomecek <ttomecek@redhat.com> - 1.2.1-1
- new upstream release: 1.2.1

* Wed Mar 18 2015 Tomas Tomecek <ttomecek@redhat.com> - 1.1.0-2
- docker-py 1.1.0 requires requests>=2.5.2

* Fri Mar 13 2015 Tomas Tomecek <ttomecek@redhat.com> - 1.1.0-1
- new upstream release: 1.1.0
- use latest python-requests
- run unit test during build

* Wed Feb 25 2015 Lokesh Mandvekar <lsm5@fedoraproject.org> - 1.0.0-1
- update to upstream 1.0.0
- Resolves: rhbz#1195627 - don't (B)R docker
- use github url instead of pypi
- run tests in check if /run/docker.sock exists

* Wed Jan 14 2015 Lokesh Mandvekar <lsm5@fedoraproject.org> - 0.7.1-1
- Resolves: rhbz#1182003 - Update to 0.7.1

* Thu Dec 25 2014 Igor Gnatenko <ignatenko@mirantis.com> - 0.7.0-1
- Update to 0.7.0 (RHBZ #1176950)

* Mon Dec 01 2014 Tomas Radej <tradej@redhat.com> - 0.6.0-2
- Added Python 3 subpackage

* Fri Nov 21 2014 Lokesh Mandvekar <lsm5@fedoraproject.org> - 0.6.0-1
- Resolves: rhbz#1160293 - update to 0.6.0

* Thu Oct 23 2014 Lokesh Mandvekar <lsm5@fedoraproject.org> - 0.5.3-2
- Resolves: rhbz#1145895
- versioned python-requests req only for f21+

* Wed Oct 22 2014 Lokesh Mandvekar <lsm5@fedoraproject.org> - 0.5.3-1
- Resolves: rhbz#1153991 - update to 0.5.3

* Tue Sep 23 2014 Tom Prince <tom.prince@clusterhq.com> - 0.5.0-2
- Specify depedencies to match those in setup.py

* Mon Sep 22 2014 Tom Prince <tom.prince@clusterhq.com> - 0.5.0-1
- Resolves: rhbz#1145511 - version bump to 0.5.0

* Tue Aug 26 2014 Lokesh Mandvekar <lsm5@fedoraproject.org> - 0.4.0-3
- correct bogus date

* Tue Aug 26 2014 Lokesh Mandvekar <lsm5@fedoraproject.org> - 0.4.0-2
- rewrite BR&R conditionals for docker/docker-io

* Thu Aug 21 2014 Lokesh Mandvekar <lsm5@fedoraproject.org> - 0.4.0-1
- update to 0.4.0
- Resolves: rhbz#1132604 (epel7 only)

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jul 12 2014 Lokesh Mandvekar <lsm5@fedoraproject.org> - 0.3.2-1
- version bump to 0.3.2
- Resolves: rhbz#1097415

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.3-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon Feb 10 2014 Lokesh Mandvekar <lsm5@redhat.com> 0.2.3-8
- Bug 1063369 - Fix APIError for python-requests-1.1 on rhel6

* Sat Feb 08 2014 Lokesh Mandvekar <lsm5@redhat.com> 0.2.3-7
- Bug 1048667 - disable debug package cause archful

* Fri Feb 07 2014 Lokesh Mandvekar <lsm5@redhat.com> 0.2.3-6
- doesn't need python-mock at runtime

* Thu Jan 09 2014 Lokesh Mandvekar <lsm5@redhat.com> 0.2.3-5
- python3 to be added after python3-websocket-client (BZ 1049424)

* Tue Jan 07 2014 Lokesh Mandvekar <lsm5@redhat.com> 0.2.3-4
- double '%' to comment macros
- check section not considered for now
- python3- description in python3- subpackage conditional

* Tue Jan 07 2014 Lokesh Mandvekar <lsm5@redhat.com> 0.2.3-3
- Everything goes in main package
- python3 package requires corrected
- package name python-docker-py
- both packages require docker-io

* Mon Jan 06 2014 Lokesh Mandvekar <lsm5@redhat.com> 0.2.3-2
- python3 subpackage
- upstream uses PyPI
- package owns directories it creates
- build and runtime deps updated

* Sun Jan 05 2014 Lokesh Mandvekar <lsm5@redhat.com> 0.2.3-1
- Initial fedora package
